<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" th:href="@{/styles.css}">
    <title th:text="#{title}">Thymeleaf Demo</title>
</head>
<body>

<section th:replace="~{fragments/common :: header}">
    <p>This is sample header</p>
</section>

<h1>This is sample template!</h1>
<p th:if="${priority == 'high'}" th:text="${message}">Hello World</p>
<p th:text="${#temporals.formatISO(#temporals.createNow())}">0000-00-00 00:00</p>
<p th:text="${#strings.abbreviate('Lorem ipsum dolor met', 20)}">Abbreviated string ...</p>

<h1>List</h1>
<ul>
    <li th:each="item, stats : ${fruits}" th:classappend="${stats.even} ? 'item-even' : 'item-odd'">
        <span th:text="${stats.count}">1</span> - <span th:text="${item}">Example Item</span>
    </li>
</ul>

<h1>Forms</h1>
<a th:href="@{/todo}">Create new todo</a>

<section th:replace="~{fragments/common :: footer}">
    <p>This is sample header</p>
</section>

</body>
</html>
